﻿# ce module python permet de tracer des courbes avec les valeurs d'un fichier csv contenant des nombres.
# par exemple cela permet de visualiser les données récupérées à partir des capteurs températures d'une carte arduino
# il est publié sous licence MIT
# Copyright © <Jean-Louis Gaudibert>

import matplotlib.pyplot as plt
import numpy as np
import csv
from csvtolist import *


# le fichier csv avec les valeurs duquel on veut faire un graphique
fname = 'effetserreCO2.csv'
nbsondes = 2    # nombre de sondes utilisées

csvtolist(fname,nbsondes) # appel de la fonction avec le nom du csv et le nombre de sondes du

plt.title("variation de la température dans 2 enceintes aux taux de CO2 différents")
# limites verticales du graphique
plt.ylim(19,30)
# traçage des courbes avec couleur et motif
if nbsondes >3:
    plt.plot(mesure,valeursSondeD,'y+-',label='sonde 4')
if nbsondes >2:
    plt.plot(mesure,valeursSondeC,'r+-',label='sonde 3')
if nbsondes >1:
    plt.plot(mesure,valeursSondeB,'b+-',label='sonde 2')
if nbsondes >=1:
    plt.plot(mesure,valeursSondeA,'g+-',label='sonde 1')
plt.legend(loc='upper right')

# étiquettes du graphe
plt.xlabel ("temps (min)")
plt.ylabel ("température (°C)")
# affichage dans une fenêtre
plt.show()